class CategoryModel {
  String code;
  String message;
  List<CategoryData> data;

  static CategoryModel fromMap(Map<String, dynamic> map) {
    CategoryModel category = CategoryModel();
    category.code = map['code'];
    category.message = map['message'];
    category.data = CategoryData.fromMapList(map['data']);
    return category;
  }

  static List<CategoryModel> fromMapList(dynamic mapList) {
    List<CategoryModel> list = List(mapList.length);
    for (int i = 0; i < mapList.length; i++) {
      list[i] = fromMap(mapList[i]);
    }
    return list;
  }
}

class CategoryData {
  String mallCategoryId;
  String mallCategoryName;
  String image;
  List<BxMallSubDtoListBean> bxMallSubDto;

  static CategoryData fromMap(Map<String, dynamic> map) {
    CategoryData dataListBean = CategoryData();
    dataListBean.mallCategoryId = map['mallCategoryId'];
    dataListBean.mallCategoryName = map['mallCategoryName'];
    dataListBean.image = map['image'];
    dataListBean.bxMallSubDto = BxMallSubDtoListBean.fromMapList(map['bxMallSubDto']);
    return dataListBean;
  }

  static List<CategoryData> fromMapList(dynamic mapList) {
    List<CategoryData> list = List(mapList.length);
    for (int i = 0; i < mapList.length; i++) {
      list[i] = fromMap(mapList[i]);
    }
    return list;
  }
}

class BxMallSubDtoListBean {
  String mallSubId;
  String mallCategoryId;
  String mallSubName;
  String comments;

  static BxMallSubDtoListBean fromMap(Map<String, dynamic> map) {
    BxMallSubDtoListBean bxMallSubDtoListBean = BxMallSubDtoListBean();
    bxMallSubDtoListBean.mallSubId = map['mallSubId'];
    bxMallSubDtoListBean.mallCategoryId = map['mallCategoryId'];
    bxMallSubDtoListBean.mallSubName = map['mallSubName'];
    bxMallSubDtoListBean.comments = map['comments'];
    return bxMallSubDtoListBean;
  }

  static List<BxMallSubDtoListBean> fromMapList(dynamic mapList) {
    List<BxMallSubDtoListBean> list = List(mapList.length);
    for (int i = 0; i < mapList.length; i++) {
      list[i] = fromMap(mapList[i]);
    }
    return list;
  }
}
